MediaWiki:Common.css: Difference between revisions

Jump to navigation Jump to search
no edit summary
No edit summary
No edit summary
 
(458 intermediate revisions by 2 users not shown)
Line 1: Line 1:
/* CSS placed here will be applied to all skins */
.
 
/* White background in body */
@font-face {
  font-family: 'HALColant-TextRegular';
  src: url('/fonts/HALColant-TextRegular.woff2') format('woff2'),
      url('/fonts/HALColant-TextRegular.woff') format('woff');
  font-weight: normal;
  font-style: normal;
}
body {
background-color: white;
transition: background-color 1s ease;
font-family: HALColant-TextRegular;
}
html {
    scrollbar-width: none; /* Firefox */
}
::-webkit-scrollbar {
    display: none;
}
/* Mediawiki search results */
.mw-search-profile-tabs {
display: none;
}
#mw-searchoptions {
display: none;
}
 
/* Mediawiki horizontal navigation styles */
#mw-head {
    background-color: white;
transition: background-color 1s ease;
display: none;
}
#mw-page-base {
background-color: white;
transition: background-color 1s ease;
background-image: none;
display: none;
}
#mw-head-base {
margin-left: 0!important;
}
.mw-body, #left-navigation, #mw-data-after-content, .mw-footer {
    margin-left: 0!important;
}
 
.mw-body {
    border: none;
}
.mw-parser-output a.external {
background-image: none;
}
.smw-columnlist-container {
  position: absolute;
  top: 502px;
  width: 100%;
}
#catlinks {
    display: none;
}
#p-logo a {
    display: none;
}
.mw-footer {
    display: none;
}
a.mw-selflink {
font-weight: normal;
text-decoration: underline;
}
a.mw-selflink:hover {
font-weight: normal;
text-decoration: underline;
}
.vector-body p
{
    margin-top: 0px!important;
    margin-bottom: 0px!important;
  }
/* ------>Start Style for header */
#header-container {
    display: flex;
    flex-wrap: wrap;
    margin: 0 auto;
}
.head-col {
    width: calc(20% - 0px);
    box-sizing: border-box;
    height: fit-content;
    padding: 0 7px;
    margin-bottom: 30px;
    font-size: 12pt;
    line-height: 25px;
    letter-spacing: 0.4px;
}
 
.head-col:not(:first-child) {
margin-left: -1px;
 
}
 
.head-col:nth-child(5n + 1) {
margin-left: 0;
transform: none;
}
 
.head-col:last-child {
margin-right: 0;
}
.head-col-extend {
    width: calc(40% - 0px);
    box-sizing: border-box;
    height: fit-content;
    margin-bottom: 30px;
    font-size: 12pt;
    line-height: 25px;
    letter-spacing: 0.4px;
    border-bottom: 1px solid black;
}
.head-box {
border: 1px solid black;
}
.head-nav {
  padding-left: 15px;
  padding-top: 5px;
  line-height: 23px;
}
.head-links {
  padding-top: 5px;
}
.head-filter {
  padding-top: 5px;
  display: flex; /* Use Flexbox */
  justify-content: space-between;
  align-items: center; /* Align items vertically in the center */
}
.head-filter .filter,
.head-filter .buttons-filters {
    margin-right: 10px; /* Add some space between the items */
}
.toggle-filters.open-filter {
  background: none;
  border: none;
  font-size: 16px;
  line-height: 20px;
  font-family: 'HALColant-TextRegular';
  cursor: pointer;
}
.header-entry-number {
line-height: 28px;
}
.header-authors-title {
  border-top: 1px solid black;
  line-height: 28px;
}
.header-authors-title a {
  color: black;
  text-decoration: none;
}
.header-authors-title a:hover {
  font-style: italic;
}
.header-type {
  border-top: 1px solid black;
  line-height: 28px;
}
.header-index a {
cursor: pointer;
color: black;
}
.header-index a:hover {
color: black;
}
.header-people a{
cursor: pointer;
color: black!important;
}
.header-people a:hover{
color: black;
}
.header-community a {
cursor: pointer;
color: black!important;
}
.header-community a:hover{
color: black;
}
.header-date {
  color: gray;
}
.header-about a {
cursor: pointer;
color: black!important;
}
.header-about a:hover{
color: black;
}
.about-hide {
  display: none;
}
.header-about:hover + .about-hide {
  display: block;
  color: black;
  font-size: 28px;
  line-height: 34px;
  letter-spacing: 1.4px;
  width: 200%;
  border-bottom: 1px solid black;
  padding-bottom: 5px;
  padding-top: 5px;
}
#

Navigation menu